### Hierarchy

- DropdownList

### Implements

- AbstractDropdownView
- AfterViewInit
- OnDestroy

## Index

### Inputs

- ariaLabel
- listTpl
- showTitles
- type
- items

### Outputs

- blurIntent
- scroll
- select

### Constructors

- constructor

### Properties

- _items
- _itemsReady
- _itemsSubscription
- _originalItems
- ariaLabel
- blurIntent
- displayItems
- elementRef
- focusJump
- highlightedItem
- i18n
- index
- list
- listElementList
- listId
- listTpl
- scroll
- select
- showTitles
- size
- type
- listCount

### Accessors

- items

### Methods

- doClick
- doEmitSelect
- doKeyDown
- emitScroll
- filterBy
- getCurrentElement
- getCurrentItem
- getItemId
- getListItems
- getNextElement
- getNextItem
- getPrevElement
- getPrevItem
- getSelected
- hasNextElement
- hasPrevElement
- initFocus
- navigateList
- ngAfterViewInit
- ngOnDestroy
- onItemBlur
- onItemFocus
- onItemsReady
- propagateSelected
- reorderSelected
- setupFocusObservable
- updateIndex
- updateList

## Constructors

### constructor

- new DropdownList(elementRef: ElementRef, i18n: I18n): DropdownList

- - Defined in src/dropdown/list/dropdown-list.component.ts:223

  #### Parameters

  - ##### elementRef: ElementRef

  - ##### i18n: I18n

  #### Returns DropdownList

## Properties

### Protected _items

_items: Array<ListItem> = []

- Defined in src/dropdown/list/dropdown-list.component.ts:219

### Protected _itemsReady

_itemsReady: Observable<boolean>

- Defined in src/dropdown/list/dropdown-list.component.ts:223

### Protected _itemsSubscription

_itemsSubscription: Subscription

- Defined in src/dropdown/list/dropdown-list.component.ts:211

### Protected _originalItems

_originalItems: Array<ListItem> | Observable<Array<ListItem>>

- Defined in src/dropdown/list/dropdown-list.component.ts:215

### ariaLabel

@Input()
ariaLabel: any = this.i18n.get().DROPDOWN_LIST.LABEL

- Defined in src/dropdown/list/dropdown-list.component.ts:118

### blurIntent

@Output()
blurIntent: EventEmitter<"bottom" | "top"> = new EventEmitter<"top" | "bottom">()

- Defined in src/dropdown/list/dropdown-list.component.ts:165

### displayItems

displayItems: Array<ListItem> = []

- Defined in src/dropdown/list/dropdown-list.component.ts:195

### elementRef

elementRef: ElementRef

- Defined in src/dropdown/list/dropdown-list.component.ts:228

### Protected focusJump

focusJump: any

- Defined in src/dropdown/list/dropdown-list.component.ts:207

### highlightedItem

highlightedItem: any = null

- Defined in src/dropdown/list/dropdown-list.component.ts:189

### Protected i18n

i18n: I18n

- Defined in src/dropdown/list/dropdown-list.component.ts:228

### Protected index

index: number = -1

- Defined in src/dropdown/list/dropdown-list.component.ts:199

### list

@ViewChild({"selector":"list","opts":"{ static: true }"})
list: ElementRef

- Defined in src/dropdown/list/dropdown-list.component.ts:170

### Protected listElementList

@ViewChildren({"selector":"listItem"})
listElementList: QueryList<ElementRef>

- Defined in src/dropdown/list/dropdown-list.component.ts:203

### listId

listId: string = `listbox-${DropdownList.listCount++}`

- Defined in src/dropdown/list/dropdown-list.component.ts:188

### listTpl

@Input()
listTpl: string | TemplateRef<any> = null

- Defined in src/dropdown/list/dropdown-list.component.ts:147

### scroll

@Output()
scroll: EventEmitter<ScrollCustomEvent> = new EventEmitter()

- Defined in src/dropdown/list/dropdown-list.component.ts:155

### select

@Output()
select: EventEmitter<object | ListItem[]> = new EventEmitter()

- Defined in src/dropdown/list/dropdown-list.component.ts:151

### showTitles

@Input()
showTitles: boolean = true

- Defined in src/dropdown/list/dropdown-list.component.ts:180

### size

size: "sm" | "md" | "xl" = "md"

- Defined in src/dropdown/list/dropdown-list.component.ts:187

### type

@Input()
type: "single" | "multi" = "single"

- Defined in src/dropdown/list/dropdown-list.component.ts:175

### Static listCount

listCount: number = 0

- Defined in src/dropdown/list/dropdown-list.component.ts:117

## Accessors

### items

@Input()
items:

- Defined in src/dropdown/list/dropdown-list.component.ts:122
- Defined in src/dropdown/list/dropdown-list.component.ts:141

## Methods

### doClick

- doClick(event: any, item: any): void

- - Defined in src/dropdown/list/dropdown-list.component.ts:563

  #### Parameters

  - ##### event: any

  - ##### item: any

  #### Returns void

### doEmitSelect

- doEmitSelect(isUpdate?: boolean): void

- - Defined in src/dropdown/list/dropdown-list.component.ts:254

  #### Parameters

  - ##### Default value isUpdate: boolean = true

  #### Returns void

### doKeyDown

- doKeyDown(event: KeyboardEvent, item: ListItem): void

- - Defined in src/dropdown/list/dropdown-list.component.ts:498

  #### Parameters

  - ##### event: KeyboardEvent

  - ##### item: ListItem

  #### Returns void

### emitScroll

- emitScroll(event: any): void

- - Defined in src/dropdown/list/dropdown-list.component.ts:597

  #### Parameters

  - ##### event: any

  #### Returns void

### filterBy

- filterBy(query?: string): void

- - Defined in src/dropdown/list/dropdown-list.component.ts:287

  #### Parameters

  - ##### Default value query: string = ""

  #### Returns void

### getCurrentElement

- getCurrentElement(): HTMLElement

- - Defined in src/dropdown/list/dropdown-list.component.ts:407

  #### Returns HTMLElement

### getCurrentItem

- getCurrentItem(): ListItem

- - Defined in src/dropdown/list/dropdown-list.component.ts:397

  #### Returns ListItem

### getItemId

- getItemId(index: number): string

- - Defined in src/dropdown/list/dropdown-list.component.ts:266

  #### Parameters

  - ##### index: number

  #### Returns string

### getListItems

- getListItems(): Array<ListItem>

- - Defined in src/dropdown/list/dropdown-list.component.ts:417

  #### Returns Array<ListItem>

### getNextElement

- getNextElement(): HTMLElement

- - Defined in src/dropdown/list/dropdown-list.component.ts:334

  #### Returns HTMLElement

### getNextItem

- getNextItem(): ListItem

- - Defined in src/dropdown/list/dropdown-list.component.ts:316

  #### Returns ListItem

### getPrevElement

- getPrevElement(): HTMLElement

- - Defined in src/dropdown/list/dropdown-list.component.ts:374

  #### Returns HTMLElement

### getPrevItem

- getPrevItem(): ListItem

- - Defined in src/dropdown/list/dropdown-list.component.ts:357

  #### Returns ListItem

### getSelected

- getSelected(): ListItem[]

- - Defined in src/dropdown/list/dropdown-list.component.ts:424

  #### Returns ListItem[]

### hasNextElement

- hasNextElement(): boolean

- - Defined in src/dropdown/list/dropdown-list.component.ts:326

  #### Returns boolean

### hasPrevElement

- hasPrevElement(): boolean

- - Defined in src/dropdown/list/dropdown-list.component.ts:367

  #### Returns boolean

### initFocus

- initFocus(): void

- - Defined in src/dropdown/list/dropdown-list.component.ts:472

  #### Returns void

### navigateList

- navigateList(event: KeyboardEvent): void

- - Defined in src/dropdown/list/dropdown-list.component.ts:530

  #### Parameters

  - ##### event: KeyboardEvent

  #### Returns void

### ngAfterViewInit

- ngAfterViewInit(): void

- - Defined in src/dropdown/list/dropdown-list.component.ts:234

  #### Returns void

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in src/dropdown/list/dropdown-list.component.ts:245

  #### Returns void

### onItemBlur

- onItemBlur(index: any): void

- - Defined in src/dropdown/list/dropdown-list.component.ts:588

  #### Parameters

  - ##### index: any

  #### Returns void

### onItemFocus

- onItemFocus(index: any): void

- - Defined in src/dropdown/list/dropdown-list.component.ts:582

  #### Parameters

  - ##### index: any

  #### Returns void

### onItemsReady

- onItemsReady(subcription: function): void

- - Defined in src/dropdown/list/dropdown-list.component.ts:607

  #### Parameters

  - ##### subcription: function

    - - (): void

      - #### Returns void

### propagateSelected

- propagateSelected(value: Array<ListItem>): void

- - Defined in src/dropdown/list/dropdown-list.component.ts:435

  #### Parameters

  - ##### value: Array<ListItem>

  #### Returns void

### reorderSelected

- reorderSelected(moveFocus?: boolean): void

- - Defined in src/dropdown/list/dropdown-list.component.ts:612

  #### Parameters

  - ##### Default value moveFocus: boolean = true

  #### Returns void

### setupFocusObservable

- setupFocusObservable(): void

- - Defined in src/dropdown/list/dropdown-list.component.ts:301

  #### Returns void

### updateIndex

- updateIndex(): void

- - Defined in src/dropdown/list/dropdown-list.component.ts:483

  #### Returns void

### updateList

- updateList(items: any): void

- - Defined in src/dropdown/list/dropdown-list.component.ts:273

  #### Parameters

  - ##### items: any

  #### Returns void

Generated using TypeDoc